Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 837)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 838)
@@ -275,7 +275,7 @@
 				}
 
 				if (e1 instanceof TXMResult && e2 instanceof TXMResult) {
-					return TXMResult.compare((TXMResult)e1, (TXMResult)e2);
+					return ((TXMResult)e1).compareTo((TXMResult)e2);
 				} else {
 					return super.compare(viewer, e1, e2);
 				}
@@ -377,6 +377,7 @@
 					}
 
 					// test if a double click listener has been set
+					@Deprecated
 					Class commandClass = managedDoubleClickClasses.get(selectedItem.getClass());
 					//System.out.println("classes: "+managedDoubleClickClasses);
 					if (commandClass != null) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 837)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 838)
@@ -127,6 +127,7 @@
 		buffer.append("\n"); //$NON-NLS-1$
 		buffer.append("Selected object = " + this.currentResult + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Node visible = " + this.currentResult.isVisible() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buffer.append("Node weight = " + this.currentResult.getWeight() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		if (this.currentResult instanceof ChartResult) 	{
 			buffer.append("Chart engine = " + ((ChartResult)this.currentResult).getChartsEngine() + ", chart object = " + ((ChartResult)this.currentResult).getChart()
 					+ ", chart type = " + ((ChartResult)this.currentResult).getChartType()
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 837)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 838)
@@ -34,6 +34,8 @@
 import org.eclipse.swt.widgets.Text;
 import org.eclipse.swt.widgets.ToolItem;
 import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IEditorPart;
+import org.eclipse.ui.IEditorReference;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchPartSite;
@@ -644,6 +646,24 @@
 			CorporaView.refreshObject(this);
 			TXMResultDebugView.refreshView();
 
+			// FIXME: update all open editors of the children result
+			// FIXME: prob here is that updateEditorFromResult() doesn't enough because the compute() method does some other stuff
+			// so the cascade computing may be done here rather than in TXMResult.compute() or we need to move some stuff from TXMEditor.compute() to
+			// TXMEditor.updateEditorFromResult(), eg. the chart loading
+			// WARNING: At This moment, with this code, TXMResult.compute() of the children is called twice
+//			for (IEditorReference reference : PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getEditorReferences()) {
+//				IEditorPart editor = reference.getEditor(false);
+//				if(editor != null && editor instanceof TXMEditor)	{
+//					TXMEditor txmEditor = ((TXMEditor)editor);
+//					if(txmEditor.getResult().getParent() == this.getResult())	{
+//						Log.finest("TXMEditor.refresh(): updating editor for result: " + txmEditor.getResult().getSimpleName());
+//						txmEditor.compute(true);
+//						//txmEditor.updateEditorFromResult(false);
+//					}
+//				}
+//			}
+			
+			
 		}
 	}
 
Index: tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 837)
+++ tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 838)
@@ -4,7 +4,6 @@
 import java.lang.reflect.Modifier;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.utils.logger.Log;
 
 
 /**
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 837)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 838)
@@ -216,7 +216,7 @@
 
 			}
 			else {
-				System.out.println("Error: Index parent is neither a Corpus nor a partition.");
+				Log.severe("Error: Index parent is neither a Corpus nor a partition.");
 				return false;
 			}
 		}
@@ -416,13 +416,13 @@
 			Property property = pProperties.get(0);
 			if (lexicon == null) {
 				lexicon = new Lexicon(getCorpus());
-				lexicon.setProperty(property);
-				lexicon.compute(null);
-			} else {
-				lexicon.setProperty(this.pProperties.get(0));
-				lexicon.compute(monitor);
 			}
-
+			lexicon.setProperty(property);
+			lexicon.setDirty();
+			lexicon.compute(monitor);
+			
+			
+			
 			this.nTotalTokens = lexicon.nbrOfToken();
 			String[] forms = lexicon.getForms();
 			int[] freqs = lexicon.getFreq();
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 837)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 838)
@@ -103,6 +103,10 @@
 		HashMap<String, ChartCreator> map = this.chartCreators.get(result.getClass());
 		if(map != null)	{
 			chartCreator = map.get(chartType);
+			// if chart type was null
+			if(chartCreator == null)	{
+				chartCreator = map.get(ChartsEnginePreferences.DEFAULT_CHART_TYPE);
+			}
 		}
 		
 		if(chartCreator == null && showLogWarning)	{
@@ -555,7 +559,7 @@
 
 	@Override
 	public String toString() {
-		String str = this.getName() + " (description: " + this.description + ", output format: " + this.outputFormat;
+		String str = this.getName() + " (description: " + this.description + ", current output format: " + this.outputFormat;
 		
 		str += ", supported output display formats: " + this.getSupportedOutputDisplayFormats().toString().replaceAll("\\[|\\]", ""); //$NON-NLS-2$ //$NON-NLS-3$
 		str += ", supported output file formats: " + this.getSupportedOutputFileFormats().toString().replaceAll("\\[|\\]", ""); //$NON-NLS-2$ //$NON-NLS-3$
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 837)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 838)
@@ -141,7 +141,7 @@
 	@Override
 	public void setDirty() {
 		super.setDirty();
-		this.chart = null;
+//		this.chart = null;
 		this.setChartDirty();
 	}
 
@@ -153,6 +153,11 @@
 	}
 
 
+	@Override
+	public void setHasBeenComputedOnce(boolean hasBeenComputedOnce) {
+		super.setHasBeenComputedOnce(hasBeenComputedOnce);
+		this.chart = null;
+	}
 	
 	@Override
 	public boolean compute(IProgressMonitor monitor) throws Exception {
@@ -555,6 +560,14 @@
 		this.chartsEngine = chartsEngine;
 	}
 
+
+	/**
+	 * @param chart the chart to set
+	 */
+	public void setChart(Object chart) {
+		this.chart = chart;
+	}
+
 	
 
 	// FIXME
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPPreferences.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPPreferences.java	(revision 837)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPPreferences.java	(revision 838)
@@ -3,10 +3,7 @@
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
-import org.txm.core.messages.TXMCoreMessages;
-import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.utils.logger.Log;
 
 /**
  * CQP preferences initializer.
@@ -25,10 +22,6 @@
 
 	@Override
 	public void initializeDefaultPreferences() {
-		Log.info(TXMCoreMessages.Toolbox_4 + TBXPreferences.getID()); 
-
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
-		
-
 	}
 }
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 837)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 838)
@@ -1,6 +1,8 @@
 package org.txm.chartsengine.rcp.swt;
 
 import java.awt.Component;
+import java.awt.event.KeyListener;
+import java.awt.event.MouseListener;
 import java.util.ArrayList;
 import java.util.EventListener;
 
@@ -16,7 +18,7 @@
 import org.txm.rcp.editors.TXMEditor;
 
 /**
- * Chart drawing area composite.
+ * Chart drawing area base composite.
  * @author sjacquot
  *
  */
@@ -229,6 +231,7 @@
 	 * @return
 	 */
 	public EventCallBackHandler getMouseCallBackHandler(Component component) {
+		// FIXME: old version
 		EventCallBackHandler handler = null;
 		EventListener[] listeners = component.getMouseListeners();
 
@@ -239,6 +242,7 @@
 			}
 		}
 		return handler;
+//		return this.getCallBackHandler(MouseListener.class);
 	}
 
 
@@ -248,6 +252,7 @@
 	 * @return
 	 */
 	public EventCallBackHandler getKeyCallBackHandler(Component component) {
+		// FIXME: old version
 		EventCallBackHandler handler = null;
 		EventListener[] listeners = component.getKeyListeners();
 
@@ -258,9 +263,27 @@
 			}
 		}
 		return handler;
+//		return this.getCallBackHandler(KeyListener.class);
 	}
 
+	/**
+	 * Gets the event call back handler of the specified class.
+	 * @param listenerType
+	 * @return
+	 */
+	public EventCallBackHandler getCallBackHandler(Class listenerType)	{
+		EventCallBackHandler handler = null;
+		EventListener[] listeners = ((Component) this.chartComponent).getListeners(listenerType);
 
+		for(int i = 0; i < listeners.length; i++) {
+			if(listeners[i] instanceof EventCallBackHandler)	{
+				handler = (EventCallBackHandler) listeners[i];
+				break;
+			}
+		}
+		return handler;
+	}
+
 	/**
 	 * Gets the chart component dedicated to rendering the chart.
 	 * @return the chartComponent
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 0)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 838)
@@ -0,0 +1,213 @@
+/**
+ * 
+ */
+package org.txm.chartsengine.rcp.swt;
+
+import java.awt.BorderLayout;
+import java.awt.Component;
+import java.awt.EventQueue;
+import java.awt.Frame;
+import java.awt.Graphics2D;
+import java.awt.Toolkit;
+import java.awt.datatransfer.DataFlavor;
+import java.awt.datatransfer.Transferable;
+import java.awt.datatransfer.UnsupportedFlavorException;
+import java.awt.image.BufferedImage;
+import java.io.File;
+import java.io.IOException;
+
+import javax.swing.JPanel;
+
+import org.eclipse.swt.awt.SWT_AWT;
+import org.eclipse.swt.widgets.Composite;
+import org.jfree.chart.JFreeChart;
+import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.chartsengine.rcp.IChartComponent;
+import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.events.EventCallBackHandler;
+
+/**
+ * Base chart composite with Swing/AWT support.
+ * This composite uses the SWT/AWT bridge to add some Swing/AWT chart component.
+ * 
+ * @author sjacquot
+ *
+ */
+public abstract class SwingChartComposite extends ChartComposite {
+	
+	
+	
+	// For reducing resize flickering on Windows
+	static	{
+		try {
+			System.setProperty("sun.awt.noerasebackground", "true"); //$NON-NLS-1$ //$NON-NLS-2$
+		}
+		catch (NoSuchMethodError error) {
+		}
+	}
+
+
+	
+	protected Frame frame;
+	
+	//FIXME: tests
+	//protected Panel rootPanel;
+	//protected JRootPane rootPanel;
+	protected JPanel rootPanel;
+
+	
+
+	/**
+	 * @param chartEditor
+	 * @param parent
+	 * @param style
+	 */
+	public SwingChartComposite(ChartEditor<ChartResult> chartEditor, Composite parent, int style) {
+		super(chartEditor, parent, style);
+		
+		this.frame = SWT_AWT.new_Frame(this);
+		// Need to add an AWT/Swing Panel to fix mouse events and mouse cursors changes on AWT/Swing chart component panel
+		this.rootPanel = new JPanel(new BorderLayout());
+		
+		this.frame.add(this.rootPanel);
+
+		//this.frame.pack();
+		this.frame.setVisible(true);
+
+	}
+
+	// FIXME: old version; to remove if all ok
+//	@Override
+//	public void loadChart()	{
+//		
+//		// loads the chart from the result
+//		Object chart = this.chartEditor.getChart();
+//
+//		if(chart != null) {
+//			// creates components if they not exist
+//			if(this.chartComponent == null)	{
+//				
+//				// recreates the chart if not of right type
+//				if(!(chart instanceof File))	{
+//					try {
+//						this.chartEditor.getResult().clearLastRenderingParameters();
+//						this.chartEditor.getResult().compute();
+//					}
+//					catch (Exception e) {
+//						// TODO Auto-generated catch block
+//						e.printStackTrace();
+//					}
+//				}
+//				
+//				
+//				this.chartEditor.getSWTChartsComponentsProvider().createChartContainer(this.chartEditor.getEditorInput());
+//				this.chartComponent = (IChartComponent) this.chartEditor.getEditorInput().getChartContainer();
+//				
+//				this.rootPanel.add((Component) this.chartComponent);
+//
+//				this.frame.setVisible(true);
+//			}
+//			this.loadChart(chart);
+//		}
+//	}
+
+	@Override
+	public void loadChart()	{
+		
+		// loads the chart from the result
+		Object chart = this.chartEditor.getChart();
+		
+		if(chart != null) {
+			// creates components if they not exist
+			if(this.chartComponent == null) {
+
+				// recreates the chart if not of right type
+				if(!(chart instanceof JFreeChart))	{
+					try {
+						this.chartEditor.getResult().clearLastRenderingParameters();
+						this.chartEditor.getResult().compute();
+					}
+					catch (Exception e) {
+						// TODO Auto-generated catch block
+						e.printStackTrace();
+					}
+				}
+				
+				this.chartEditor.getSWTChartsComponentsProvider().createChartContainer(this.chartEditor.getEditorInput());
+				this.chartComponent = (IChartComponent) this.chartEditor.getEditorInput().getChartContainer();
+				
+				this.rootPanel.add((Component) this.chartComponent);
+
+				this.frame.setVisible(true);
+				
+				// FIXME: useless?
+				//this.chartEditor.registerEventCallBackExtensions();
+
+			}
+			this.loadChart(this.chartEditor.getChart());
+			this.forceFocus();
+		}
+	}
+	
+
+	
+	
+	@Override
+	public void copyChartViewToClipboard() {
+		int w = ((Component) this.chartComponent).getWidth();
+		int h = ((Component) this.chartComponent).getHeight();
+		final BufferedImage bufferedImg = new BufferedImage(w, h, BufferedImage.TYPE_INT_RGB);
+		Graphics2D g = bufferedImg.createGraphics();
+		((Component) this.chartComponent).paint(g);
+		
+		Transferable img = new Transferable() {
+			
+			@Override
+			public boolean isDataFlavorSupported(DataFlavor flavor) {
+				return DataFlavor.imageFlavor.equals(flavor);
+			}
+			
+			@Override
+			public DataFlavor[] getTransferDataFlavors() {
+				return new DataFlavor[] {DataFlavor.imageFlavor};
+			}
+			
+			@Override
+			public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException {
+				if(!DataFlavor.imageFlavor.equals(flavor))					    {
+					throw new UnsupportedFlavorException(flavor);
+				}
+				return bufferedImg;
+			}
+
+		};
+		
+		Toolkit.getDefaultToolkit().getSystemClipboard().setContents(img, null);
+		
+	}
+	
+	@Override
+	public void requestFocusInComposite()	{
+		EventQueue.invokeLater(new Runnable () {
+			public void run () {
+				((Component) chartComponent).requestFocusInWindow();
+			}
+		});
+	}
+
+	
+	
+	@Override
+	public EventCallBackHandler getMouseCallBackHandler() {
+		return super.getMouseCallBackHandler((Component) this.chartComponent);
+	}
+
+
+	@Override
+	public EventCallBackHandler getKeyCallBackHandler() {
+		return super.getKeyCallBackHandler((Component) this.chartComponent);
+	}
+
+
+	
+}

Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 837)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 838)
@@ -31,9 +31,6 @@
 import java.io.IOException;
 //import java.nio.file.Files;
 
-
-
-
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
@@ -46,7 +43,6 @@
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.PlatformUI;
-import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
@@ -90,13 +86,13 @@
 		final FileDialog dialog = new FileDialog(shell, SWT.SAVE);
 
 		// Create the file extensions from the current chart editor supported file formats
-		String extensions[] = new String[SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().size()];
+		String extensions[] = new String[chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().size()];
 		int defaultChartFormatIndex = 0;
-		for(int i = 0; i < SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().size(); i++) {
-			extensions[i] = "*." + SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i); //$NON-NLS-1$
+		for(int i = 0; i < chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().size(); i++) {
+			extensions[i] = "*." + chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(i); //$NON-NLS-1$
 
 			// Store the default chart export file format index
-			if(TXMPreferences.getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, ChartsEnginePreferences.PREFERENCES_NODE).equals(SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i)))	{
+			if(TXMPreferences.getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, ChartsEnginePreferences.PREFERENCES_NODE).equals(chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(i)))	{
 				defaultChartFormatIndex = i;
 			}
 		}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 837)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 838)
@@ -1,6 +1,9 @@
 package org.txm.chartsengine.rcp;
 
 
+import java.awt.Color;
+import java.awt.event.FocusEvent;
+import java.awt.event.FocusListener;
 import java.awt.event.MouseEvent;
 import java.awt.event.MouseListener;
 import java.awt.event.MouseMotionListener;
@@ -11,6 +14,7 @@
 import java.util.Properties;
 
 import javax.swing.JComponent;
+import javax.swing.border.LineBorder;
 
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.runtime.CoreException;
@@ -39,8 +43,8 @@
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.events.EventCallBack;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.chartsengine.rcp.preferences.___KeyboardBindingProperties;
@@ -195,6 +199,7 @@
 	 * @return
 	 */
 	public boolean createChartContainer(ChartEditorInput chartEditorInput)	{
+		Log.finest(this.getClass().getName() + ": creating a chart container...");
 		return this.createChartContainer(this.getChartsEngine(), chartEditorInput);
 	}
 	
@@ -306,73 +311,8 @@
 		}
 		return provider;
 	}
-	
 
-//	/**
-//	 * Creates and return a SWT EditorPart for the specified CA result.
-//	 * @param ca
-//	 * @return a SWT EditorPart
-//	 */
-//	public abstract ChartEditor createCAFactorialMapChartEditorPart(CA ca);
-//
-//
-//	/**
-//	 * Creates and return a SWT EditorPart for the singular values of the specified CA result.
-//	 * @param ca
-//	 * @return a SWT EditorPart
-//	 */
-//	public abstract ChartEditor createCASingularValuesBarChartEditorPart(CA ca);
-//
-
 	/**
-	 * Creates and return a SWT EditorPart for the specified CAH result.
-	 * @param cah
-	 * @return a SWT EditorPart
-	 */
-//	public abstract ChartEditor createCAHChartEditorPart(Image titleImage, CAH cah);
-
-
-	/**
-	 * Creates and return a SWT EditorPart for the specified dimensions of partition result.
-	 * @param titleImage
-	 * @param partition
-	 * @param sortPartsBySize
-	 * @return a SWT EditorPart
-	 */
-//	public abstract ChartEditor createDimensionsPartitionChartEditorPart(Image titleImage, Partition partition, boolean sortPartsBySize);
-
-
-	/**
-	 * Creates and return a SWT EditorPart for the specified specificities result.
-	 * @param titleImage the editor title image
-	 * @param specificitiesResult the specificities result
-	 * @param typeNames the type names
-	 * @param partNames the part names
-	 * @param specIndex the specificities indices
-	 * @param transpose the transpose
-	 * @param drawBars the draw bar chart state
-	 * @param drawLines the draw line chart state
-	 * @param banalite
-	 * @param monochrome
-	 * @return
-	 */
-//	public abstract ChartEditor createSpecificitiesChartEditorPart(Image titleImage, SpecificitesResult specificitiesResult, boolean transpose, boolean drawBars, boolean drawLines, float banalite, boolean monochrome);
-
-
-	/**
-	 * Creates and return a SWT EditorPart for the specified progression result.
-	 * @param titleImage
-	 * @param progression
-	 * @param monochrome
-	 * @param monostyle
-	 * @param doCumulative
-	 * @param file
-	 * @return
-	 */
-	//public abstract ChartEditor createProgressionChartEditorPart(Image titleImage, Progression progression, boolean monochrome, boolean monostyle, boolean doCumulative);
-
-
-	/**
 	 * Set the current charts engine.
 	 * @param chartsEngine the chartsEngine to set
 	 */
@@ -977,7 +917,7 @@
 
 					case SWT.Activate:
 						//System.err.println("SWTChartsComponentProvider.initializeAWTDelegationListeners(...).new Listener() {...}.handleEvent(): SWT activate");
-
+						chartEditor.getComposite().requestFocusInComposite();
 						break;
 				}
 		   }
@@ -989,6 +929,22 @@
 	//	chartEditor.getComposite().addListener(SWT.Activate, listener); // TODO : test AWT delegation
 
 
+		// FIXME: For Swing focus debug
+		swingComponent.addFocusListener(new FocusListener() {
+			
+			@Override
+			public void focusLost(FocusEvent e) {
+				// TODO Auto-generated method stub
+				swingComponent.setBorder(javax.swing.BorderFactory.createEmptyBorder());
+			}
+			
+			@Override
+			public void focusGained(FocusEvent e) {
+				// TODO Auto-generated method stub
+				swingComponent.setBorder(new LineBorder(Color.red, 2));
+			}
+		});
+		
 
 		// FIXME: SWT tool tips test rather than using Swing
 		//chartEditor.getComposite().addListener(SWT.MouseMove, listener);
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 837)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 838)
@@ -176,23 +176,31 @@
 	 * Opens an editor where id is the specified result class name, computes the result then refreshes the editor components.
 	 * @param result
 	 */
-	public static void openEditor(ChartResult result) {
-		openEditor(result, result.getClass().getName());
+	public static ChartEditor openEditor(ChartResult result) {
+		return openEditor(result, false);
 	}
 
+	public static ChartEditor openEditor(ChartResult result, boolean alwaysRecreateEditor)	{
+		return openEditor(result, result.getClass().getName(), alwaysRecreateEditor);
+	}
 	
+	public static ChartEditor openEditor(ChartResult result, String editorPartId)	{
+		return openEditor(result, editorPartId, false);
+	}
+	
+	
 	/**
 	 * Opens an editor specified by its id, computes the specified result then refreshes the editor components.
 	 * @param result
 	 * @param editorPartId
 	 * @return
 	 */
-	public static ChartEditor openEditor(ChartResult result, String editorPartId)	{
+	public static ChartEditor openEditor(ChartResult result, String editorPartId, boolean alwaysRecreateEditor)	{
 		
-		// FIXME: voir si on peut pas revenir à l'ouverture de l'éditeur ICI plutot que dans le compute, ca permettrait de retourner le TXMEditor dans openEditor()
-		return (ChartEditor) openEditor(new ChartEditorInput<ChartResult>(result), editorPartId);
-				
-		//compute(new ChartEditorInput<ChartResult>(result), editorPartId, false, null);
+		ChartEditorInput<ChartResult> editorInput = new ChartEditorInput<ChartResult>(result);
+		editorInput.setAlwaysRecreateEditor(alwaysRecreateEditor);
+		
+		return (ChartEditor) openEditor(editorInput, editorPartId);
 	}
 
 
@@ -214,8 +222,11 @@
 		
 		this.updateEditorFromChart(update);
 		
-		// check that the charts engine used for the result matches the SWT components provider otherwise fin a suitable components provider
+		// check that the charts engine used for the result matches the SWT components provider otherwise find a suitable components provider
 		if(this.getResult().getChartsEngine() != this.getSWTChartsComponentsProvider().getChartsEngine())	{
+			
+			Log.warning("ChartEditor.__updateEditorFromResult(): result charts engine  = " + this.getResult().getChartsEngine().getName() + " / Editor charts engine = " + this.getSWTChartsComponentsProvider().getChartsEngine().getName() + "."); //$NON-NLS-1$
+			
 			this.getEditorInput().setSWTChartsComponentsProvider(SWTChartsComponentsProvider.getComponentsProvider(this.getResult().getChartsEngine()));
 			this.getSWTChartsComponentsProvider().setChartsEngine(this.getResult().getChartsEngine());
 			
@@ -239,6 +250,8 @@
 		this.getResult().subTask("Loading chart.");
 		this.loadChart();
 		
+		
+		// FIXME: this code should be moved in ChartComposit.loadChart()?
 		// if editor wasn't exist:
 		// hiding command parameters, updating tool bar buttons states, registering context menus and event user callbacks 
 		if(needInit
@@ -277,6 +290,11 @@
 //				}
 //			});
 		}
+		
+		
+		if(this.parentMultiPagesEditor == null)	{
+			this.forceFocus();			
+		}
 	}
 	
 	
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 837)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 838)
@@ -12,7 +12,6 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
-import org.txm.core.results.TXMResult;
 import org.txm.partition.core.messages.PartitionCoreMessages;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java	(revision 837)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java	(revision 838)
@@ -18,13 +18,14 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ConcordancePreferences.class).getSymbolicName();
 	
-	public static final String PREFERENCES_PREFIX = "concordance_"; //$NON-NLS-1$
+	// FIXME: tests
+	//public static final String PREFERENCES_PREFIX = "concordance_"; //$NON-NLS-1$
+	public static final String PREFERENCES_PREFIX = ""; //$NON-NLS-1$
 	
 	public static final String N_LINES_PER_PAGE = PREFERENCES_PREFIX + "n_lines_per_page"; //$NON-NLS-1$
 	public static final String LEFT_CONTEXT_SIZE = PREFERENCES_PREFIX + "left_context_size"; //$NON-NLS-1$
 	public static final String RIGHT_CONTEXT_SIZE = PREFERENCES_PREFIX + "right_context_size"; //$NON-NLS-1$
 
-	public static final String QUERY = PREFERENCES_PREFIX + "query"; //$NON-NLS-1$
 	public static final String LEFT_ANALYSIS_PROPERTIES = PREFERENCES_PREFIX + "left_analysis_properties"; //$NON-NLS-1$
 	public static final String KEYWORD_ANALYSIS_PROPERTIES = PREFERENCES_PREFIX + "keyword_analysis_properties"; //$NON-NLS-1$
 	public static final String RIGHT_ANALYSIS_PROPERTIES = PREFERENCES_PREFIX + "right_analysis_properties"; //$NON-NLS-1$
@@ -38,8 +39,6 @@
 	public static final String LIMIT_CQL = "limit_cql"; //$NON-NLS-1$
 	public static final String TOP_INDEX = "top_index"; //$NON-NLS-1$
 	
-	public static final String WORD = "word"; //$NON-NLS-1$
-	
 	@Override
 	public void initializeDefaultPreferences() {
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
@@ -49,12 +48,12 @@
 		preferences.putInt(LEFT_CONTEXT_SIZE, 8);
 		preferences.putInt(RIGHT_CONTEXT_SIZE, 12);
 		
-		preferences.put(LEFT_ANALYSIS_PROPERTIES, WORD);
-		preferences.put(KEYWORD_ANALYSIS_PROPERTIES, WORD);
-		preferences.put(RIGHT_ANALYSIS_PROPERTIES, WORD);
-		preferences.put(LEFT_VIEW_PROPERTIES, WORD);
-		preferences.put(KEYWORD_VIEW_PROPERTIES, WORD);
-		preferences.put(RIGHT_VIEW_PROPERTIES, WORD);
+		preferences.put(LEFT_ANALYSIS_PROPERTIES, TXMPreferences.DEFAULT_UNIT_PROPERTY);
+		preferences.put(KEYWORD_ANALYSIS_PROPERTIES, TXMPreferences.DEFAULT_UNIT_PROPERTY);
+		preferences.put(RIGHT_ANALYSIS_PROPERTIES, TXMPreferences.DEFAULT_UNIT_PROPERTY);
+		preferences.put(LEFT_VIEW_PROPERTIES, TXMPreferences.DEFAULT_UNIT_PROPERTY);
+		preferences.put(KEYWORD_VIEW_PROPERTIES, TXMPreferences.DEFAULT_UNIT_PROPERTY);
+		preferences.put(RIGHT_VIEW_PROPERTIES, TXMPreferences.DEFAULT_UNIT_PROPERTY);
 		
 		preferences.put(VIEW_REFERENCE_PATTERN, "*"); //$NON-NLS-1$
 		preferences.put(ANALYSIS_REFERENCE_PATTERN, "*"); //$NON-NLS-1$
